<template>
  <section class=" slide flex-column padding-large mini-bulle-gauche big-bulle-droite">
    <b-button class="mt-close-passer is-size-8 " native-type="button" @click="ferme">
      Passer
    </b-button>
    <label class="label">
      <mark>1</mark>
      employé &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
      <mark>2</mark>
      employeur
    </label>
    <h2>
      Vous êtes employé ? Employeur ?<br />
      Administrateur brigade ? Ou bien superviseur<br />
      régiment ?
      <mark
        >Vous <b>souhaitez contribuer à<br />l’amélioration de METIIS</b> ?</mark
      >
      Dites-le nous en<br />cochant une réponse ci-dessous.
    </h2>
    <div class="mt-reponse">
      <b-radio v-model="maReponse" native-value="oui"> Je souhaite être contacté pour participer à des tests. </b-radio
      ><br />
      <b-radio v-model="maReponse" native-value="non">
        Je ne souhaite pas être contacté pour participer à des tests.
      </b-radio>
    </div>
    <br />
    <footer class="precedent-suivant">
      <b-button class="mt-button is-size-8 " type="is-secondary" native-type="button" @click="precedent">
        precedent
      </b-button>

      <b-button class="mt-button is-size-8 " type="is-primary" native-type="button" @click="suivant">
        suivant
      </b-button>
    </footer>
  </section>
</template>

<script>
export default {
  name: 'MtSondageSlide2',
  props: {
    reponse: {
      type: String,
      default: null,
    },
  },
  data() {
    return {
      maReponse: this.reponse,
    };
  },
  methods: {
    suivant() {
      this.$emit('repondre', this.maReponse);
      this.$emit('next');
    },
    precedent() {
      this.$emit('repondre', this.maReponse);
      this.$emit('previous');
    },
    ferme() {
      this.$emit('repondre', this.maReponse);
      this.$emit('close');
    },
  },
};
</script>

<style scoped lang="scss">
@import '~/assets/css/_variables.scss';
img {
  align-self: center;
}
.mt-close-passer {
  position: absolute;
  top: 1rem;
  right: 1rem;
  border-style: none;
  background-color: transparent;
  cursor: pointer;
  color: $primary;
  text-transform: uppercase;
  font-size: 0.875rem;
  font-weight: 600;
  z-index: 10;
}
.mt-reponse {
  margin-left: 100px;
}
</style>
